Repocop reports for by-leader amike

  rpm id test status message
libtag-extras-1.0.1-alt4.src specfile-macros-get_dep-is-deprecated experimental Versioned Requires: foo >= %{get_dep something} using %get_dep and %get_version macros on a library are deprecated by set:versions. You probably should drop %get_dep/%get_version Requires: to avoid RPM database pollution.
libtag-extras-1.0.1-alt4.x86_64 altlinux-policy-shared-lib-contains-devel-so info SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libtag-extras.so but just /usr/lib64/libtag-extras.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libtag-extras.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libtag-extras.so to \%files of libtag-extras-1.0.1-alt4.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.

generated by repocop at Tue Oct 23 05:36:23 2018